using System;
using System.Collections.Generic;
using System.Threading;
using System.Threading.Tasks;

namespace Knot.Contracts.Stories.Abstractions;

public interface IStoryQueryService
{
    Task<List<StoryInfo>> GetAllStoriesAsync(CancellationToken cancellationToken);
}

public record StoryInfo(Guid Id, string? MediaUrl);
